/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.valueobjectdotnet.message;

/**
 * blancoValueObjectDotNetが利用するメッセージ。
 */
public class BlancoValueObjectDotNetMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoValueObjectDotNetMessageResourceBundle fBundle = new BlancoValueObjectDotNetMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoValueObjectDotNet]、キー[MBVONI01]の文字列を取得します。
     *
     * No.2:
     * 文字列[クラス名[{0}]のパッケージ名が指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbvoni01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbvoni01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBVONI01] " + fBundle.getMbvoni01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoValueObjectDotNet]、キー[MBVONI02]の文字列を取得します。
     *
     * No.3:
     * 文字列[クラス名[{0}]のフィールド[{1}]の型名が指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbvoni02(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbvoni02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbvoni02]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBVONI02] " + fBundle.getMbvoni02(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoValueObjectDotNet]、キー[MBVONI03]の文字列を取得します。
     *
     * No.4:
     * 文字列[クラス名[{0}] でフィールド名が指定されていないものがあります。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbvoni03(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbvoni03]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBVONI03] " + fBundle.getMbvoni03(arg0);
    }

    /**
     * メッセージ定義ID[BlancoValueObjectDotNet]、キー[MBVONI04]の文字列を取得します。
     *
     * No.5:
     * 文字列[クラス名[{0}] フィールド[{1}]の「型」が指定されていません。「型」を指定してください。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbvoni04(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbvoni04]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbvoni04]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBVONI04] " + fBundle.getMbvoni04(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoValueObjectDotNet]、キー[MBVONI05]の文字列を取得します。
     *
     * No.6:
     * 文字列[クラス名[{0}] フィールド[{1}]の「デフォルト値({2})」がセットされています。しかし「{3}」はデフォルト値をサポートしません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @param arg3 置換文字列{3}の値。
     * @return メッセージ文字列。
     */
    public String getMbvoni05(final String arg0, final String arg1, final String arg2, final String arg3) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbvoni05]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbvoni05]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg2 == null) {
            throw new IllegalArgumentException("メソッド[getMbvoni05]のパラメータ[arg2]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg3 == null) {
            throw new IllegalArgumentException("メソッド[getMbvoni05]のパラメータ[arg3]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBVONI05] " + fBundle.getMbvoni05(arg0, arg1, arg2, arg3);
    }

    /**
     * メッセージ定義ID[BlancoValueObjectDotNet]、キー[MBVONA01]の文字列を取得します。
     *
     * No.9:
     * 文字列[メタディレクトリ[{0}]が存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbvona01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbvona01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBVONA01] " + fBundle.getMbvona01(arg0);
    }
}
